package app14a.listener;

import app14a.util.Config;

import java.util.Enumeration;
import javax.servlet.ServletContext;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

public class AppListener implements ServletContextListener {
	public void contextInitialized(ServletContextEvent cse) {
	  try {
  	  Config config = Config.getInstance();
      ServletContext servletContext = cse.getServletContext();
      Enumeration parameters = servletContext.getInitParameterNames();
      while (parameters.hasMoreElements()) {
    	  String parameter = (String) parameters.nextElement();
    	  config.addKeyValue(parameter, servletContext.getInitParameter(parameter));
      }   
	  } 
	  catch (Exception ex) {
	     System.out.print("app14a error: " + ex.getMessage());
	  }
	}

	public void contextDestroyed(ServletContextEvent cse) {
  }
}
